> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Allocate Funds to Virtual Account

> Use this API to recharge the OneEscrow account (notional credit) using a payment instrument.



## OpenAPI

````yaml post /v1/connected-wallet/recharge
openapi: 3.0.0
info:
  title: Internal Transfer API
  version: 1.0.0
  description: API to create virtual accounts on existing connected fund sources.
servers:
  - url: https://sandbox.cashfree.com/payout
    description: Sandbox server
  - url: https://api.cashfree.com/payout
    description: Production server
security: []
tags: []
paths:
  /v1/connected-wallet/recharge:
    post:
      summary: Allocate Funds to Virtual Account
      description: >-
        Use this API to recharge the OneEscrow account (notional credit) using a
        payment instrument.
      operationId: rechargeOneEscrow
      parameters:
        - name: Authorization
          in: header
          description: Bearer token for authentication.
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RechargeRequest'
      responses:
        '200':
          description: Recharge successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RechargeSuccessResponse'
              examples:
                success:
                  value:
                    status: SUCCESS
                    subCode: '200'
                    message: Recharge successful
                    data:
                      referenceId: 4379710
                      message: Amount added to the merchant balance
        '422':
          description: Unprocessable Entity (Bad request)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RechargeErrorResponse'
              examples:
                badRequest:
                  value:
                    status: ERROR
                    subCode: '422'
                    message: Bad request, please check API documentation
                paymentInstrumentNotFound:
                  value:
                    status: ERROR
                    subCode: '422'
                    message: Specified paymentInstrumentId not available.
                rechargeAlreadyExists:
                  value:
                    status: ERROR
                    subCode: '422'
                    message: Recharge Already Exists
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RechargeErrorResponse'
              examples:
                serverError:
                  value:
                    status: ERROR
                    subCode: '500'
                    message: Internal server error
components:
  schemas:
    RechargeRequest:
      type: object
      properties:
        amount:
          type: string
          format: decimal
          example: 500.01
          description: It is the recharge amount in decimal value up to 2 precision.
        paymentInstrumentId:
          type: string
          description: It is the unique ID to identify the payment instrument.
          example: YES_CONNECTED_484576_4f21dfa
        rechargeId:
          type: string
          description: It is the unique ID to identify the recharge request.
          example: recharge12
        utr:
          type: string
          description: >-
            It is the unique transaction reference number for the recharge
            transaction (optional).
          example: 54600012345
        remarks:
          type: string
          description: Remarks for the recharge transaction (optional).
          example: salary
      required:
        - amount
        - paymentInstrumentId
    RechargeSuccessResponse:
      type: object
      properties:
        status:
          type: string
          description: It displays the status of the request.
        subCode:
          type: string
          description: It displays the code identify the status of the request.
        message:
          type: string
          description: It displays the outcome of the request.
        data:
          type: object
          properties:
            referenceId:
              type: string
              description: >-
                It displays the unique ID generated by Cashfree Payments for
                reference purpose.
            message:
              type: string
              description: It displays the outcome of the recharge.
    RechargeErrorResponse:
      type: object
      properties:
        status:
          type: string
          description: The status of the request.
        subCode:
          type: string
          description: A code identifying the error.
        message:
          type: string
          description: A message describing the error.

````